//*----------------------------------------------------------------------------
//*         ATMEL Microcontroller Software Support  -  ROUSSET  -
//*----------------------------------------------------------------------------
//* The software is delivered "AS IS" without warranty or condition of any
//* kind, either express, implied or statutory. This includes without
//* limitation any warranty or condition with respect to merchantability or
//* fitness for any particular purpose, or against the infringements of
//* intellectual property rights of others.
//*----------------------------------------------------------------------------
//* File Name           : compensation_Mayn.h
//* Object              : Mayn application written in C
//* Creation            : S.CADENE   2nd November 2004
//* Vers                : V1.0
//* Aim                 : This program is using RTT periperal and compensation process
//*						: to obtain software RTC. The result is sent to DBGU port COM
//*						: in following format [MM DD YY HH:MM:SS].
//*                     : Note: Refer to Atmel Application Note in term
//*						: of documentation around the compensation process.
//*----------------------------------------------------------------------------




/**************** BEGIN: USER PARAMETER *****************/
/* Delay between two successive compensation			*/
/********************************************************/
#define         compens_delay     5

/*********************   END  ***************************/


#define         count_period      (16*EXT_OC)


/********************************************************/
/*				Used External Functions					*/
/********************************************************/
extern void AT91F_DBGU_Init(void);
extern void AT91F_DBGU_Printk( char *buffer);
extern unsigned int date_to_days(const char *date);
extern void days_to_date(unsigned short days, char *date);
extern void AT91F_DBGU_scanf(char * type,unsigned int * val);
extern void minute_to_hour(unsigned short minutes, char *hour);


//* End

